--- linux/linux-2.1.21/drivers/scsi/atari_scsi.c        Tue Dec  3 22:12:43 1996
+++ /home/faui21/inf2/i2staff/rnhodek/tmp/atari_scsi.c  Tue Feb 18 11:39:51 1997
@@ -676,7 +676,11 @@
 
        instance = scsi_register (host, sizeof (struct NCR5380_hostdata));
        atari_scsi_host = instance;
-       instance->irq = IS_A_TT() ? IRQ_TT_MFP_SCSI : IRQ_MFP_FSCSI;
+       /* Set irq to 0, to avoid that the mid-level code disables our interrupt
+        * during queue_command calls. This is completely unnecessary, and even
+        * worse causes bad problems on the Falcon, where the int is shared with
+        * IDE and floppy! */
+       instance->irq = 0;
 
        atari_scsi_reset_boot();
        NCR5380_init (instance, 0);
